Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.stream
Interface IPlaylistSubscriberStream

All Superinterfaces:
  IClientStream, IPlaylist, IStream, ISubscriberStream

All Known Implementing Classes:
  PlaylistSubscriberStream

    public interface IPlaylistSubscriberStream

extends ISubscriberStream, IPlaylist

IPlaylistSubscriberStream has methods of both ISubscriberStream and IPlaylist but adds nothing new

Field Summary

Fields inherited from interface org.red5.server.api.stream.IClientStream
`MODE_APPEND, MODE_LIVE, MODE_PUBLISH, MODE_READ, MODE_RECORD`

Method Summary
`IPlaylistSubscriberStreamStatistics` | `getStatistics()` Return statistics about this stream.

Methods inherited from interface org.red5.server.api.stream.ISubscriberStream
`isPaused, pause, play, receiveAudio, receiveVideo, resume, seek, stop`

Methods inherited from interface org.red5.server.api.stream.IClientStream
`getClientBufferDuration, getConnection, getStreamId, setClientBufferDuration`

Methods inherited from interface org.red5.server.api.stream.IStream
`close, getCodecInfo, getCreationTime, getName, getScope, start`

Methods inherited from interface org.red5.server.api.stream.IPlaylist
`addItem, addItem, getCurrentItem, getCurrentItemIndex, getItem, getItemSize, hasMoreItems, isRandom, isRepeat, isRewind, nextItem, previousItem, removeAllItems, removeItem, setItem, setPlaylistController, setRandom, setRepeat, setRewind`

Method Detail

### getStatistics

    IPlaylistSubscriberStreamStatistics getStatistics()

  Return statistics about this stream.

  Returns:
    statistics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project